package com.srs.comprehensive.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.comprehensive.mapper.CphCardersMapper;
import com.srs.comprehensive.domain.CphCarders;
import com.srs.comprehensive.service.ICphCardersService;

/**
 * 班级干部管理Service业务层处理
 *
 * @author srs
 * @date 2023-09-15
 */
@Service
public class CphCardersServiceImpl extends ServiceImpl<CphCardersMapper,CphCarders> implements ICphCardersService {
    @Autowired
    private CphCardersMapper cphCardersMapper;

    /**
     * 查询班级干部管理
     *
     * @param id 班级干部管理主键
     * @return 班级干部管理
     */
    @Override
    public CphCarders selectCphCardersById(Long id) {
        return cphCardersMapper.selectCphCardersById(id);
    }

    /**
     * 查询班级干部管理列表
     *
     * @param cphCarders 班级干部管理
     * @return 班级干部管理
     */
    @Override
    public List<CphCarders> selectCphCardersList(CphCarders cphCarders) {
        return cphCardersMapper.selectCphCardersList(cphCarders);
    }

    /**
     * 新增班级干部管理
     *
     * @param cphCarders 班级干部管理
     * @return 结果
     */
    @Override
    public int insertCphCarders(CphCarders cphCarders) {

            return cphCardersMapper.insertCphCarders(cphCarders);
    }

    /**
     * 修改班级干部管理
     *
     * @param cphCarders 班级干部管理
     * @return 结果
     */
    @Override
    public int updateCphCarders(CphCarders cphCarders) {
        return cphCardersMapper.updateCphCarders(cphCarders);
    }

    /**
     * 批量删除班级干部管理
     *
     * @param ids 需要删除的班级干部管理主键
     * @return 结果
     */
    @Override
    public int deleteCphCardersByIds(Long[] ids) {
        return cphCardersMapper.deleteCphCardersByIds(ids);
    }

    /**
     * 删除班级干部管理信息
     *
     * @param id 班级干部管理主键
     * @return 结果
     */
    @Override
    public int deleteCphCardersById(Long id) {
        return cphCardersMapper.deleteCphCardersById(id);
    }
}
